<?php

  if( $Debug == 1 ){
    echo "View Tienda";
  }

  $FechaHoy       = date('Y-m-d H:i:s');

  $debugin        = $decoded['debug'];
  $usr_id         = $decoded['usr_id'];
  $tienda_id      = $decoded['tienda_id'];
  $promo_id       = $decoded['promo_id'];
  $cantidad       = $decoded['cantidad'];
  $fechahoy       = date('Y-m-d H:i:s');

  if( $debugin == 1 ){

    echo "Debug-in\n";
    echo $usr_id."\n";
    echo $tie_id."\n";

  }

  //Valida Usuarios Tendero
  $Query = "
    SELECT
      usr.id
    FROM usuarios_app usr
    WHERE
      usr.id = '$usr_id'
      AND usr.activo = '1'
  ";
  $Result = mysqli_query($mysqli, $Query);
  $Usr = mysqli_fetch_assoc($Result);
  if( $Usr[id] ){

    //Valida Tienda
    $Query = "
      SELECT
        tie.id
      FROM tiendas tie
      WHERE
        tie.id = '$tienda_id'
    ";
    $Result = mysqli_query($mysqli, $Query);
    $Tienda = mysqli_fetch_assoc($Result);
    if( $Tienda[id] ){

      //Valida Promo
      $Query = "
        SELECT
          pro.id,
          pro.nombre, pro.descripcion_larga, pro.precio
        FROM promociones pro
        WHERE
          pro.id = '$promo_id'
      ";
      $Result = mysqli_query($mysqli, $Query);
      $Promo = mysqli_fetch_assoc($Result);
      if( $Promo[id] ){

        //Inserta Promoción
        $Query = "
          INSERT INTO promociones_pedidos
          (
            fecha, fk_usuario_app,
            fk_tienda, fk_promocion,
            nombre, descripcion,
            cantidad, precio
          )
          VALUES (
            '$fechahoy', '$Usr[id]',
            '$Tienda[id]', '$Promo[id]',
            '$Promo[nombre]', '$Promo[descripcion_larga]',
            '$cantidad', '$Promo[precio]'
          )
        ";
        $Result = mysqli_query($mysqli, $Query);
        $IdAdd = mysqli_insert_id($mysqli);
        if( $IdAdd ){

          //Ariculos de Promocion
          $Query = "
            SELECT
              art.id,
              art.fk_promocion, art.fk_articulo,
              art.fk_empaque, art.cantidad
            FROM promociones_articulos art
            WHERE art.fk_promocion = '$Promo[id]'
          ";
          $Arts = $mysqli->query($Query);
          mysqli_data_seek($Arts, 0);
          if( $Arts->num_rows >= 1 ){
            while($Art = mysqli_fetch_array($Arts)) {

              //Inserta Articulos de la Solicitud de la Promocion
              $Query = "
                INSERT INTO promociones_pedidos_articulos
                (
                  fk_promocion_pedido, fk_promocion_articulo,
                  fk_articulo, fk_empaque,
                  cantidad
                )
                VALUES (
                  '$IdAdd', '$Art[id]',
                  '$Art[fk_articulo]', '$Art[fk_empaque]',
                  '$Art[cantidad]'
                )
              ";
              $Result = mysqli_query($mysqli, $Query);
              //End Inserta Articulos de la Solicitud de la Promocion

            }
          }
          //Ariculos de Promocion

          //Respuesta Guardado
          $Data = array(
            'action'        => 'ok',
            'id_user'       => "$Usr[id]",
            'id_tienda'     => "$Tienda[id]",
            'id_pedido'     => "$IdAdd"
          );
          echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);


        }else{

          //Error uv-1 ( El Usuario no se encontró. )
          $Query = "
            SELECT
              err.Id, err.error, err.msn
            FROM api_errores err
            WHERE err.error = 'pp-4'
          ";
          $Result = mysqli_query($mysqli, $Query);
          $Error = mysqli_fetch_assoc($Result);

          $Data = array(
            'action'      => 'error',
            'error'       => $Error[error],
            'error_msn'   => $Error[msn]
          );
          echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);


        }

      }
      //End Valida Promo
      else{

        //Error uv-1 ( El Usuario no se encontró. )
        $Query = "
          SELECT
            err.Id, err.error, err.msn
          FROM api_errores err
          WHERE err.error = 'pp-3'
        ";
        $Result = mysqli_query($mysqli, $Query);
        $Error = mysqli_fetch_assoc($Result);

        $Data = array(
          'action'      => 'error',
          'error'       => $Error[error],
          'error_msn'   => $Error[msn]
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

      }

    }
    //End Valida tienda
    else{

      //Error uv-1 ( El Usuario no se encontró. )
      $Query = "
        SELECT
          err.Id, err.error, err.msn
        FROM api_errores err
        WHERE err.error = 'pp-2'
      ";
      $Result = mysqli_query($mysqli, $Query);
      $Error = mysqli_fetch_assoc($Result);

      $Data = array(
        'action'      => 'error',
        'error'       => $Error[error],
        'error_msn'   => $Error[msn]
      );
      echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

    }

  }
  //End Valida Usuarios Tendero
  else{

    //Error uv-1 ( El Usuario no se encontró. )
    $Query = "
      SELECT
        err.Id, err.error, err.msn
      FROM api_errores err
      WHERE err.error = 'pp-1'
    ";
    $Result = mysqli_query($mysqli, $Query);
    $Error = mysqli_fetch_assoc($Result);

    $Data = array(
      'action'      => 'error',
      'error'       => $Error[error],
      'error_msn'   => $usr_id.' - '.$Error[msn]
    );
    echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

  }


?>
